Subject: bug#77121: [PATCH] Make isearch highlight overlays non-sticky (non-advance) at both ends

From: Juri Linkov <[email-masked]>
Date: Sat, 22 Mar 2025 21:17:50 +0200

forcemerge 77120 77121
close 77121 31.0.50
thanks

> These are the steps to reproduce it:

Thanks for the detailed instructions.
Now I see that this is a known problem.
I encounter it frequently, but
didn't see a way to fix this because often
I need to add new text in the middle the overlay.

But it would be nice to fix it at least for front positions.

> 10. with this patch, you won't get the same lazy highlight color
> inherited on " rocks."  string; without it, you'll get the same
> highlight color.

Actually, the color is not inherited at the rear position even
without your patch.  So your patch fixes only the front position.

>>> Sorry, here is an updated patch. I think this is enough since it is for the most part lazy-highlights with (setq
>>> isearch-lazy-highlight t) and (setq lazy-highlight-cleanup nil) that matter for editing.

Thanks for the patch.  Now it's pushed to master.